std::basic_string_view::max_size(3)

NAME
std::basic_string_view::max_size - std::basic_string_view::max_size

Synopsis
   constexpr size_type max_size() const noexcept; (since C++17)
   The largest possible number of char-like objects that can be referred to by a
   basic_string_view.

Parameters
   (none)

Return value
   Maximum number of characters.

Complexity
   Constant.

Example
// Run this code
 #include <cstdint>
 #include <iostream>
 #include <limits>
 #include <string_view>
 int main()
 {
     std::cout << std::numeric_limits<std::int64_t>::max()
               << " <- numeric_limits<int64_t>::max()\n"
               << std::string_view{}.max_size()
               << " <- string_view::max_size()\n"
               << std::basic_string_view<char>{}.max_size()
               << " <- basic_string_view<char>::max_size()\n"
               << std::basic_string_view<char16_t>{}.max_size()
               << " <- basic_string_view<char16_t>::max_size()\n"
               << std::wstring_view{}.max_size()
               << " <- wstring_view::max_size()\n"
               << std::basic_string_view<char32_t>{}.max_size()
               << " <- basic_string_view<char32_t>::max_size()\n";
 }

Possible output:
 9223372036854775807 <- numeric_limits<int64_t>::max()
 4611686018427387899 <- string_view::max_size()
 4611686018427387899 <- basic_string_view<char>::max_size()
 2305843009213693949 <- basic_string_view<char16_t>::max_size()
 1152921504606846974 <- wstring_view::max_size()
 1152921504606846974 <- basic_string_view<char32_t>::max_size()

See also
   size returns the number of characters
   length (public member function)
   empty checks whether the view is empty
            (public member function)
            returns the maximum number of characters
   max_size (public member function of std::basic_string<CharT,Traits,Allocator>)